python-fiu_0.96-4build1_amd64.deb


Advertisement

Description

python-fiu - userspace fault injection framework (Python bindings)

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename python-fiu_0.96-4build1_amd64.deb
Package name python-fiu
Package version 0.96
Package release 4build1
Package architecture amd64
Package type deb
Category universe/python
Homepage https://blitiri.com.ar/p/libfiu/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 8.40 KB
Installed size 43.00 KB
libfiu is a C library for fault injection. It provides functions to mark
"points of failure" inside your code (the "core API"), and functions to
enable/disable the failure of those points (the "control API").
This package contains Python bindings to libfiu.

Alternatives

Package Version Architecture Repository
python-fiu_0.96-4build1_i386.deb 0.96 i386 Ubuntu Universe
python-fiu - - -

Requires

Name Value
libc6 >= 2.4
libfiu0 = 0.96-4build1
python << 2.8
python >= 2.7~
python:any << 2.8
python:any >= 2.7~

Download

Type URL
Mirror archive.ubuntu.com
Binary Package python-fiu_0.96-4build1_amd64.deb
Source Package libfiu

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-fiu deb package:
    # sudo apt-get install python-fiu

Files

Path
/usr/lib/python2.7/dist-packages/fiu-0.0.0.egg-info
/usr/lib/python2.7/dist-packages/fiu.py
/usr/lib/python2.7/dist-packages/fiu_ctrl.py
/usr/lib/python2.7/dist-packages/fiu_ll.x86_64-linux-gnu.so
/usr/share/doc/python-fiu/changelog.Debian.gz
/usr/share/doc/python-fiu/copyright

Changelog

2018-11-03 - Matthias Klose <doko@ubuntu.com>
libfiu (0.96-4build1) disco; urgency=medium
* No-change rebuild to build without python3.6 support.
2018-06-30 - Chris Lamb <lamby@debian.org>
libfiu (0.96-4) unstable; urgency=medium
* Apply upstream patch to make the build more robust against --as-needed.
(Closes: #902363)
2018-06-08 - Chris Lamb <lamby@debian.org>
libfiu (0.96-3) unstable; urgency=medium
* Update Vcs-* to point to salsa.debian.org.
* Bump Standards-Version to 4.1.4
2018-04-04 - Chris Lamb <lamby@debian.org>
libfiu (0.96-2) unstable; urgency=medium
* Apply patch from upstream to make the build reproducible. (Closes: #894776)
2018-03-25 - Chris Lamb <lamby@debian.org>
libfiu (0.96-1) unstable; urgency=medium
* New upstream release. (Closes: #893049)
- Fix FTBFS due to build/test parellelism. (Closes: #893049)
* Add explicit python3-distutils Build-Dependency.
2018-03-17 - Chris Lamb <lamby@debian.org>
libfiu (0.95-7) unstable; urgency=medium
* Drop debian/patches/0001-ALso-preload-libfiu.so-explicitly.patch; it does
not actually fix #893049 -- something else/strange is going on.
2018-03-15 - Chris Lamb <lamby@debian.org>
libfiu (0.95-6) unstable; urgency=medium
* LD_PRELOAD libfiu.so explicitly to avoid test failure. (Closes: #893049)
2018-03-14 - Chris Lamb <lamby@debian.org>
libfiu (0.95-5) unstable; urgency=medium
* Update Build-Depends for cross-compilation. Thanks to Helmut Grohne for
the patch. (Closes: #892946)
* Add gbp.conf.
* Use .travis.yml from travis.debian.net.
* Update debian/watch to use HTTPS URI.
* wrap-and-sort -sa.
2017-07-25 - Chris Lamb <lamby@debian.org>
libfiu (0.95-4) unstable; urgency=medium
* Apply patch from Steve Langasek via Ubuntu to fix autopkgtests by using
double quotes to survive the parser and by setting allow-stderr to account
for the error message from ls. (Closes: #869709)
2016-11-18 - Chris Lamb <lamby@debian.org>
libfiu (0.95-3) unstable; urgency=medium
* Use /bin/ls over "ls" in autopkgtest.

See Also

Package Description
python-fixtures_3.0.0-2_all.deb PyUnit extension for defining test fixtures outside of test cases - Python 2.x
python-flake8_3.6.0-1_all.deb code checker using pycodestyle and pyflakes - Python 2.x
python-flaky_3.3.0-1_all.deb Plugin for nose or py.test that automatically reruns flaky tests (Python 2)
python-flask-api-common_0.6.4+dfsg-1_all.deb Browsable web APIs for the Flask micro web framework - static resources
python-flask-api_0.6.4+dfsg-1_all.deb Browsable web APIs for the Flask micro web framework - Python 2.X
python-flask-autoindex-doc_0.6.2-1_all.deb automatically generated index pages for Flask applications (documentation)
python-flask-autoindex_0.6.2-1_all.deb automatically generated index pages for Flask applications (Python 2)
python-flask-babel-doc_0.11.2-2_all.deb internationalization and localization support for Flask (documentation)
python-flask-babel_0.11.2-2_all.deb internationalization and localization support for Flask (Python 2)
python-flask-bcrypt-doc_0.7.1-1_all.deb Flask extension that provides bcrypt hashing utilities (doc)
python-flask-bcrypt_0.7.1-1_all.deb Python 2 flask extension that provides bcrypt hashing utilities
python-flask-compress_1.4.0-2_all.deb Compress responses in a Flask app with gzip (Python 2)
python-flask-flatpages-doc_0.6-1_all.deb Provides flat static pages to a Flask application (doc)
python-flask-flatpages_0.6-1_all.deb Provides flat static pages to a Python 2 Flask application
python-flask-gravatar_0.4.2-1_all.deb Extension for Flask to make usage of Gravatar service
Advertisement
Advertisement